ResourceMetricDisplaySummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.ResourceMetricDisplaySummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class ResourceMetricDisplaySummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
          org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary
              org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay
                  org.hyperic.hq.bizapp.shared.uibeans.MetricDisplaySummary
                      org.hyperic.hq.bizapp.shared.uibeans.ResourceMetricDisplaySummary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class ResourceMetricDisplaySummary

extends MetricDisplaySummary
implements java.io.Serializable

This bean used when resources are selected to have their metrics compared

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay
`attrKeyList`

Constructor Summary
`ResourceMetricDisplaySummary()` Constructor for ResourceMetricDisplaySummary.
`ResourceMetricDisplaySummary(MetricDisplaySummary mds)`
`ResourceMetricDisplaySummary(MetricDisplaySummary mds, Resource resource)`

Method Summary
`Resource` | `getResource()` Returns the resource.
`void` | `setResource(Resource resource)` Sets the resource.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MetricDisplaySummary
`getAlertCount, getOobCount, setAlertCount, setOobCount`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay
`compareTo, getAvgMetric, getBeginTimeFrame, getCollecting, getCollectionType, getDesignated, getDisplayUnits, getEndTimeFrame, getLastMetric, getMaxMetric, getMetric, getMetricKeys, getMetrics, getMetricSource, getMetricValueDoubles, getMinMetric, getShowNumberCollecting, getTemplateCat, getUnits, setBeginTimeFrame, setCollecting, setCollectionType, setDesignated, setDisplayUnits, setEndTimeFrame, setMetric, setMetrics, setMetricSource, setShowNumberCollecting, setTemplateCat, setUnits`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary
`asList, getAvailDown, getAvailUnknown, getAvailUp, setAvailDown, setAvailUnknown, setAvailUp`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
`getCategory, getDescription, getId, getInterval, getLabel, getName, getTemplateId, setCategory, setDescription, setInterval, setLabel, setTemplateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceMetricDisplaySummary

    public ResourceMetricDisplaySummary()

  Constructor for ResourceMetricDisplaySummary.

### ResourceMetricDisplaySummary

    public ResourceMetricDisplaySummary(MetricDisplaySummary mds)

### ResourceMetricDisplaySummary

    public ResourceMetricDisplaySummary(MetricDisplaySummary mds,
                                        Resource resource)

Method Detail

### getResource

    public Resource getResource()

  Returns the resource.

  Returns:
    AppdefResourceValue

### setResource

    public void setResource(Resource resource)

  Sets the resource.

  Parameters:
    `resource` - The resource to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MetricDisplaySummary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.